<?php
/*
  $Id: auction_sales.php,v 1.1 2003/01/06 Auctionblox Exp $
 
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
 
  Copyright (c) 2003 osCommerce
  
  This file is part of the eBay Auction Manager for osCommerce
  http://www.auctionblox.com/oscommerce
 
  Copyright (c) 2003, AuctionBlox.com  
 
  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require(DIR_WS_FUNCTIONS . 'formatter.php');

  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();

  require(DIR_WS_CLASSES . 'auction_helper.php');
  $auctionHelper = new auctionHelper();
  
  require_once(DIR_WS_CLASSES . 'auction_order.php');
  $auctionOrder = new auctionOrder();	  

  //added for search function  
  $searchterms=array(
			array('id'=>"ext_title",'text'=>'Auction Title'),
			array('id'=>"ext_id",'text'=>'Auction ID'),
			array('id'=>"ext_customer_id",'text'=>'User ID'),
			array('id'=>"ext_email_address",'text'=>'E-Mail Address'),
			array('id'=>"name",'text'=>'Customer Name'));
  
  if(isset($HTTP_GET_VARS['searchname']))
  {
	  $search = array(
  				"name" => $HTTP_GET_VARS['searchname'], 
				"value" => $HTTP_GET_VARS['searchvalue']);
  }

  if(isset($HTTP_GET_VARS['sortname']))
  {
	  $sort = array(
  				"name" => $HTTP_GET_VARS['sortname'], 
				"value" => $HTTP_GET_VARS['sortvalue']);
  }
  
  if($HTTP_GET_VARS['sortvalue'] == "desc") 
  {
  	$arrow_filename = "arrow_up_selected.gif";
	$next_array = "asc";
  }
  else
  {
    $arrow_filename = "arrow_down_selected.gif";
	$next_array = "desc";
  }
  
  $checkAll = (isset($HTTP_GET_VARS['check']) ? $HTTP_GET_VARS['check'] : 'false');
  $auction_listings = $auctionHelper->getAllAuctionListingsByPage($HTTP_GET_VARS['page'], $auction_split, $HTTP_GET_VARS['status'], $sort, $search);
 
   $oInfo = null;
  
    switch ($_REQUEST['perform']) {
    case 'DeleteConfirm':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);

	  foreach ($affectedItems as $key => $oID) 
	  {
      	 $auctionHelper->remove($oID);	  
	  }  			
      tep_redirect(tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('oID', 'action'))));
      break;
	  
    case 'ChangeStatusConfirm':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
	  foreach ($affectedItems as $key => $oID) 
	  {
		 $auctionHelper->updateStatusByOID($oID, $HTTP_POST_VARS['statusID']);
	  }  			
      tep_redirect(tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('oID', 'action'))));
      break;

    case 'InvoiceConfirm':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
	  foreach ($affectedItems as $key => $oID) 
	  {
      	 $auctionHelper->sendInvoice($oID);	  
	  }  			
      tep_redirect(tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('oID', 'action'))));
      break;

    case 'CourtesyReminderConfirm':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
	  foreach ($affectedItems as $key => $oID) 
	  {
      	 $auctionHelper->sendReminder($oID);	  
	  }  			
      tep_redirect(tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('oID', 'action'))));
      break;

    case 'WarningEmailConfirm':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
	  foreach ($affectedItems as $key => $oID) 
	  {
      	 $auctionHelper->sendWarning($oID);	  
	  }  			
      tep_redirect(tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('oID', 'action'))));
      break;
	  
	case 'createOrder':
	  $oID = $HTTP_GET_VARS['oID'];
//	  $auctionOrder->createOrder($oID);
      tep_redirect(tep_href_link(FILENAME_AUCTION_MANUAL_ORDER, tep_get_all_get_params(array('action', 'perform'))));
      break;
	  
	  
  }

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<script language="javascript">
	function submit_form(perform)
	{
		
		document.forms['sales'].perform.value = perform;
		document.forms['sales'].submit();
		return false;
	}
</script>

<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<!-- header //-->
<?php
  require(DIR_WS_INCLUDES . 'header.php');
?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
	
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE . ' - ' . $auctionHelper->getListingStatusText($HTTP_GET_VARS['status']); ?></td>
            <td class="smallText" align="right"><?php $auctionHelper->drawSearchForm(FILENAME_AUCTION_SALES, $searchterms); ?></td>
         </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
	  
                <td class="dataTableHeadingContent" align="center">
				<?php echo tep_draw_form("sales", FILENAME_AUCTION_SALES, tep_get_all_get_params(array('action')), 'POST') ?>
					<input type="hidden" name="perform" value="nothing">
		
<? 					if ($checkAll == 'true')
					{ echo '<a class="dataTableHeadingContent" href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('check')) . 'check=false') . '">--</a>'; }
					else
					{ echo '<a class="dataTableHeadingContent" href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('check')) . 'check=true') . '">X</a>'; }
?>
				</td>
	            <td class="dataTableHeadingContent" align="center">
	            	<?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_SALES, HEADING_AUCTION_TITLE . '/' . HEADING_AUCTION_ID, "ext_title");?>
				</td>
	            <td class="dataTableHeadingContent" align="center">
				   <?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_SALES, HEADING_AUCTION_SITE, "site"); ?>
				</td>
	            <td class="dataTableHeadingContent" align="center">
				   <?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_SALES, HEADING_AUCTION_TYPE, "listing_type"); ?>
				</td>
	            <td class="dataTableHeadingContent" align="center">
				   <?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_SALES, HEADING_AUCTION_USERID . '&nbsp;/&nbsp;' . HEADING_AUCTION_EMAIL, "ext_customer_id"); ?>
				</td>
	            <td class="dataTableHeadingContent" align="center">
				   <?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_SALES, HEADING_AUCTION_PRICE_END, "price_end"); ?>
				</td>
	            <td class="dataTableHeadingContent" align="center">
				   <?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_SALES, HEADING_AUCTION_END_DATE, "time_end"); ?>
				</td>
	            <td class="dataTableHeadingContent" align="center">
				   <?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_SALES, HEADING_AUCTION_FEEDBACK, "feedback_left"); ?>
				</td>
	            <td class="dataTableHeadingContent" align="center">
				   <?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_SALES, HEADING_AUCTION_NEXT_STEPS, "workflow_state"); ?>
				</td>
            	<td class="dataTableHeadingContent" align="right">&nbsp;</td>
			  </tr>
			  
<?php
    for ($i = 0, $n = sizeof($auction_listings); $i < $n; $i++) {
//ECHO $auction_listings[$i]['workflow_label'];

    if($HTTP_GET_VARS['oID'] == $auction_listings[$i]['id']) {
      echo '          <tr class="dataTableRowSelected">' . "\n";
    } else {
      echo '          <tr class="dataTableRow">' . "\n";
    }	
//debugBreak();	
      echo '            <td class="dataTableContent" valign="top">';
	  						if ($checkAll == 'true')
							{ echo tep_draw_checkbox_field('oID-'.$auction_listings[$i]['id'],'',true) . '</td>'; }
							else
	  						{ echo tep_draw_checkbox_field('oID-'.$auction_listings[$i]['id']) . '</td>'; }
      echo '            <td class="dataTableContent" valign="top">' .
		   '              <a target="_blank" href="' . sprintf($auction_listings[$i]['item_url'], $auction_listings[$i]['ext_id']) . '">' . 
		                    $auction_listings[$i]['ext_title'] . '<br/>' . $auction_listings[$i]['ext_id'] . '</a>' .
		   '            </td>' . "\n" .
           '            <td class="dataTableContent" valign="top">' . $auction_listings[$i]['site'] . '</td>' . "\n" .
           '            <td class="dataTableContent" valign="top">' . $auction_listings[$i]['listing_type'] . '</td>' . "\n" .
           '            <td class="dataTableContent" valign="top"><a href="' . tep_href_link(FILENAME_CUSTOMERS,'cID='.$auction_listings[$i]['customers_id']).'">'.$auction_listings[$i]['user_id'] . '</a><br/>' . $auction_listings[$i]['email'] . '</td>' . "\n" .
           '            <td class="dataTableContent" valign="top">' . $currencies->format($auction_listings[$i]['price_end']) . '</td>' . "\n" .
           '            <td class="dataTableContent" valign="top">' . gmt_date_to_local_pretty_format($auction_listings[$i]['time_end']) . '</td>' . "\n" .
           '            <td class="dataTableContent" valign="top">' . $auction_listings[$i]['feedback_label'] . '</td>' . "\n" .
           '            <td class="dataTableContent" valign="top">' . $auction_listings[$i]['workflow_label'] . '</td>' . "\n" ;
	


      echo '            <td class="dataTableContent" align="right">';

  	  // if no row is set, then select the top row
	  if($HTTP_GET_VARS['oID'] == null)
	  {
	  	$HTTP_GET_VARS['oID'] = $auction_listings[$i]['id'];
	  }
	  
	  if($HTTP_GET_VARS['oID'] == $auction_listings[$i]['id'])
	  { 
	    $oInfo = new objectInfo($auction_listings[$i]);
	  	echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); 
	  }
	  else
	  {
	    echo '<a href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('oID')) . 'oID=' . $auction_listings[$i]['id']) . '">' . tep_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; 
	  }
	  echo '&nbsp;</td>';
	echo '</tr>' ;
		   


//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['price'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['qty'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['insurance'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['shipping'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . tep_display_tax_value($auction_listings[$i]['tax']) . '%</td>'  . "\n" .
//          '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['products_id'] . '</td>' . "\n";
//
		   

//     '            <td class="dataTableContent" valign="top">' . $order->products[$i]['name'];   echo '            </td>' . "\n" ;
     //  '            <td class="dataTableContent" valign="top">' . $order->products[$i]['model'] . '</td>' . "\n" ;
//           '            <td class="dataTableContent" align="right" valign="top">' . tep_display_tax_value($order->products[$i]['tax']) . '%</td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format($order->products[$i]['final_price'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax']), true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format($order->products[$i]['final_price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
//        '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax']) * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n";
 
    }
?>	
                </table></td>
				
				
<?php

  $heading = array();
  $contents = array();
  
  switch ($_REQUEST['perform']) {
    case 'PositiveFeedback':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_POSITIVE_FEEDBACK . '</b>');

      $contents[] = array('text' => sprintf(TEXT_INFO_POSITIVE_FEEDBACK, count($affectedItems)));
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm.gif', IMAGE_CONFIRM, "onclick=\"window.open('" . $auctionHelper->createQueryStringOfOID('auction_feedback.php?type=positive&', $HTTP_POST_VARS) . "', 'feedback', 'toolbar=no,height=300,width=350');\"") . ' <a href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;

    case 'NeutralFeedback':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_NEUTRAL_FEEDBACK . '</b>');

      $contents[] = array('text' => sprintf(TEXT_INFO_NEUTRAL_FEEDBACK, count($affectedItems)));
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm.gif', IMAGE_CONFIRM, "onclick=\"window.open('" . $auctionHelper->createQueryStringOfOID('auction_feedback.php?type=neutral&', $HTTP_POST_VARS) . "', 'feedback', 'toolbar=no,height=300,width=350');\"") . ' <a href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;

    case 'NegativeFeedback':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_NEGATIVE_FEEDBACK . '</b>');

      $contents[] = array('text' => sprintf(TEXT_INFO_NEGATIVE_FEEDBACK, count($affectedItems)));
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm.gif', IMAGE_CONFIRM, "onclick=\"window.open('" . $auctionHelper->createQueryStringOfOID('auction_feedback.php?type=negative&', $HTTP_POST_VARS) . "', 'feedback', 'toolbar=no,height=300,width=350');\"") . ' <a href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
	  
    case 'DeleteItems':

      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_DELETE_ITEMS . '</b>');

      $contents[] = array('text' => sprintf(TEXT_INFO_DELETE_ITEMS, count($affectedItems)));
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm.gif', IMAGE_CONFIRM, "onclick=\"return submit_form('DeleteConfirm');\"") . ' <a href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
	  
    case 'Invoice':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_INVOICE . '</b>');

      $contents[] = array('text' => sprintf(TEXT_INFO_INVOICE, count($affectedItems)));
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm.gif', IMAGE_CONFIRM, "onclick=\"return submit_form('InvoiceConfirm');\"") . ' <a href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;	  

    case 'CourtesyReminder':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_COURTESY_REMINDER . '</b>');

      $contents[] = array('text' => sprintf(TEXT_INFO_COURTESY_REMINDER, count($affectedItems)));
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm.gif', IMAGE_CONFIRM, "onclick=\"return submit_form('CourtesyReminderConfirm');\"") . ' <a href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;	  
	  
    case 'WarningEmail':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_WARNING_EMAIL . '</b>');

      $contents[] = array('text' => sprintf(TEXT_INFO_WARNING_EMAIL, count($affectedItems)));
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm.gif', IMAGE_CONFIRM, "onclick=\"return submit_form('WarningEmailConfirm');\"") . ' <a href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;	  
/*	  
	case 'CreateOrders':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_CREATE_ORDERS . '</b>');

      $contents[] = array('text' => sprintf(TEXT_INFO_CREATE_ORDERS, count($affectedItems)));
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm.gif', IMAGE_CONFIRM, "onclick=\"return submit_form('CreateOrdersConfirm');\"") . ' <a href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
*/	  
    case 'ChangeStatus':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
	  $auction_statuses = array();
	  $query_raw = "select status_id, status_label from " . TABLE_AUCTION_SALE_STATUS . " where language_id = '" . $languages_id . "' order by status_id ASC";
  	  $query = tep_db_query($query_raw);
	  while ($status = tep_db_fetch_array($query)) 
	  {
		$auction_statuses[] = array('id' => $status['status_id'],
									'text' => $status['status_label']);
	  }	
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_CHANGE_STATUS . '</b>');

      $contents[] = array('text' => sprintf(TEXT_INFO_CHANGE_STATUS, count($affectedItems)));
	  
	  $contents[] = array('text' => ENTRY_STATUS . '&nbsp;&nbsp;' .
								 tep_draw_pull_down_menu('statusID', $auction_statuses, $_REQUEST['status']));

      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm.gif', IMAGE_CONFIRM, "onclick=\"return submit_form('ChangeStatusConfirm');\"") . ' <a href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;	  

    default:
      if (is_object($oInfo)) {
		$products = array();
		$products_query_raw = "select products_name from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id = " . $oInfo->product_id;
		$products_query = tep_db_query($products_query_raw);
		$product = tep_db_fetch_array($products_query);
	  	
	    if( $product['products_name'] != '' )
			$heading[] = array('text' => '<b><font color="green">Product: ' . $product['products_name'] . '</b></font>');
		else
		    $heading[] = array('text' => '<b><font color="red">Product Not Set</font></b>');
	  }
	  else
	  {
	    $heading[] = array('text' => '<b>Product Not Set&nbsp;&nbsp;</b>');
	  }

      $contents[] = array('align' => 'left', 'text' => '<b>Single Action (Hi-lited Item)</b>');
      $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_href_link(FILENAME_AUCTION_SALE_ITEM, tep_get_all_get_params(array('action', 'oID'))) . '">Enter New Sale</a>');
      if (is_object($oInfo)) {
	  
	  
		switch($oInfo->status_id)
		{
			case $auctionHelper->ENDED:
		        $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_href_link(FILENAME_AUCTION_SALE_ITEM, tep_get_all_get_params(array('action', 'oID')) . 'oID=' . $oInfo->id . '&action=edit') . '">Edit Sale</a>');
//		        $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_catalog_href_link(FILENAME_AUCTION_FINDER,'action=process&email=' . $oInfo->email . "&auction_house=" . $oInfo->auction_house) . '">Request PayPal Payment</a>');
		        $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_href_link(FILENAME_AUCTION_DISPUTE, tep_get_all_get_params(array('action', 'oID')) . 'oID=' . $oInfo->id) . '" target="_blank">File Dispute</a>');
		        $contents[] = array('align' => 'left', 'text' => '<a href="' . AUCTIONBLOX_CHECKOUT_LINK . '?action=process&email=' . $oInfo->email . "&auction_house=" . $oInfo->auction_house . '">Admin Checkout</a>');
		        $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('action', 'oID')) . 'oID=' . $oInfo->id . '&perform=createOrder') . '">Create Order</a>');
				
				break;

			case $auctionHelper->CHECKEDOUT:
		        $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_href_link(FILENAME_AUCTION_SALE_ITEM, tep_get_all_get_params(array('action', 'oID')) . 'oID=' . $oInfo->id . '&action=edit') . '">Edit Sale</a>');
		        $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_href_link(FILENAME_AUCTION_DISPUTE, tep_get_all_get_params(array('action', 'oID')) . 'oID=' . $oInfo->id) . '" target="_blank">File Dispute</a>');
		        $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_href_link(FILENAME_ORDERS,'oID=' . $oInfo->orders_id) . '">View Order</a>');
				break;
				
			case $auctionHelper->COMPLETED:
		        $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_href_link(FILENAME_AUCTION_SALE_ITEM, tep_get_all_get_params(array('action', 'oID')) . 'oID=' . $oInfo->id . '&action=edit') . '">Edit Sale</a>');
		        $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_href_link(FILENAME_AUCTION_DISPUTE, tep_get_all_get_params(array('action', 'oID')) . 'oID=' . $oInfo->id) . '" target="_blank">File Dispute</a>');
		        $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_href_link(FILENAME_ORDERS,'oID=' . $oInfo->orders_id) . '">View Order</a>');
				break;
		}	  



        $contents[] = array('align' => 'left', 'text' => '<br/><br/><b>Bulk Action (Checked Items)</b>');
		switch($oInfo->status_id)
		{
		//insert query for date changes
			case $auctionHelper->ENDED:
		        $contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('DeleteItems');\">Delete Items</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('ChangeStatus');\">Change Status</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('Invoice');\">Send Invoice</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('CourtesyReminder');\">Send Courtesy Reminder</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('WarningEmail');\">Send Warning Email</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('NeutralFeedback');\">Leave Neutral Feedback</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('NegativeFeedback');\">Leave Negative Feedback</a>");
				break;

			case $auctionHelper->CHECKEDOUT:
		        $contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('DeleteItems');\">Delete Items</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('ChangeStatus');\">Change Status</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('CourtesyReminder');\">Send Courtesy Reminder</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('WarningEmail');\">Send Warning Email</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('PositiveFeedback');\">Leave Positive Feedback</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('NeutralFeedback');\">Leave Neutral Feedback</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('NegativeFeedback');\">Leave Negative Feedback</a>");
				break;
				
			case $auctionHelper->COMPLETED:
		        $contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('DeleteItems');\">Delete Items</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('ChangeStatus');\">Change Status</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('PositiveFeedback');\">Leave Positive Feedback</a>");
        		$contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('NeutralFeedback');\">Leave Neutral Feedback</a>");
				break;
				
		}	  		
      
		$products = array();
		$products_query_raw = "select products_name from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id = " . $oInfo->product_id;
		$products_query = tep_db_query($products_query_raw);
		$product = tep_db_fetch_array($products_query);
	
		if($oInfo->paypal == true)
		{
	    	$contents[] = array('text' => '<br><br><b>PayPal Detail:</b> ');
			$contents[] = array('text' => '<b>IPN Result:</b> <font color="#ff0000">'. $oInfo->paypal_ipn_result . '</font>');
			$contents[] = array('text' => '<b>Address Status:</b> <font color="#ff0000">'. $oInfo->paypal_address_status . '</font>');
			$contents[] = array('text' => '<b>Payment Gross:</b> <font color="#ff0000">'. number_format($oInfo->paypal_mc_gross,2) . ' ' . $oInfo->paypal_currency . '</font>');
		}
		
	  	
//        $contents[] = array('align' => 'center', 'text' => '<a href="' . tep_href_link(FILENAME_ORDERS_INVOICE, 'oID=' . $oInfo->orders_id) . '" TARGET="_blank">' . tep_image_button('button_invoice.gif', IMAGE_ORDERS_INVOICE) . '</a> <a href="' . tep_href_link(FILENAME_ORDERS_PACKINGSLIP, 'oID=' . $oInfo->orders_id) . '" TARGET="_blank">' . tep_image_button('button_packingslip.gif', IMAGE_ORDERS_PACKINGSLIP) . '</a>');
//        $contents[] = array('text' => '<br>' . TEXT_DATE_ORDER_CREATED . ' ' . tep_date_short($oInfo->date_purchased));
//        if (tep_not_null($oInfo->last_modified)) $contents[] = array('text' => TEXT_DATE_ORDER_LAST_MODIFIED . ' ' . tep_date_short($oInfo->last_modified));
//        $contents[] = array('text' => '<br>' . TEXT_INFO_PAYMENT_METHOD . ' '  . $oInfo->payment_method);
      }
      break;
  }

  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
  
?>
              <tr>
			    </form>
                <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $auction_split->display_count_ex(TEXT_DISPLAY_NUMBER_OF_AUCTIONS); ?></td>
                    <td class="smallText" align="right"><?php echo $auction_split->display_links_ex(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y', 'oID'))); ?></td>
                  </tr>
                </table></td>
              </tr>	  
          </tr>
        </table></td>
      </tr>
    </table></td>
	</form>
	
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->
<!-- footer //-->
<?php
    require(DIR_WS_INCLUDES . 'footer.php');
?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php');
?>