<?php
/*
  $Id: sales.php,v 1.7 2005/11/02 22:47:00 devosc Exp $

  AuctionBlox, sell more, work less!
  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

  include_once dirname(__FILE__).'/sales.php';

  class abxPaginator_Sales_Archived extends abxPaginator_Sales {

    function tableDataRowContents($aArr) {
      global $currencies;

      $aListTypes = abxConstants::getListingTypesShort();

      $sUsr = $aArr['ext_customer_id'].'<br /><span class="tableDataSubText">'.$aArr['ext_email_address'].'</span>';

      if ($aArr['customers_id']) {
        $sUsr =  '<a href="'.abx_href_link(FILENAME_CUSTOMERS, 'cID='.$aArr['customers_id']).'">'.$sUsr.'</a>';
      }

      return '<td>'.$this->cell('<a href="'.sprintf($aArr['url'], $aArr['ext_id']).'" target="ebay" >'.wordwrap($aArr['ext_title'], 45, '<br />').'<br /><span class="tableDataSubText">'.$aArr['ext_id'].'</span>'.'</a>').'</td>'.
             '<td>'.$this->cell($aArr['site']).'</td>'.
             '<td>'.$this->cell($aListTypes[$aArr['listing_type']]).'</td>'.
             '<td>'.$this->cell($sUsr).'</td>'.
             '<td align="right">'.$this->cell($currencies->format($aArr['price_end'], false, $aArr['currency'])).'</td>'.
             '<td align="right">'.$this->cell(wordwrap(gmt_date_to_local_pretty_format($aArr['time_end']), 8, '<br />')).'</td>'.
             '<td>'.$this->cell($aArr['feedback_label']).'</td>'.
             '<td>'.$this->cell($aArr['workflow_label']).'</td>';
    }

    function bulkActions() {
      return array(
        'DeleteItems'      => array('icon'=>'delete.gif','alt'=>ACTION_DELETE,'onclick' => "confirmBulkAction('".JAVASCRIPT_CONFIRM_DELETE."','".TEXT_SALES."','DeleteConfirm');"),
        'RestoreArchived' => array('icon' => 'restoreArchived.gif', 'alt' => ACTION_RESTORE, 'onclick' => "confirmBulkAction('".JAVASCRIPT_CONFIRM_RESTORE_ARCHIVED."','".TEXT_ARCHIVED_SALES."','RestoreArchivedConfirm');")
      );
    }

    function disableBulkActions(&$abxPageIcons) {
      $abxPageIcons->enable(array('DeleteItems', 'RestoreArchived'));
    }

    function singleActions($aArr = array()){
      return array();
    }

    function disableSingleActions($aArr,&$abxPageIcons) {
    }

    function drawExtraHiddenFields() {
    }

    function infoBox($action) {
      switch($action) {
      }
    }

    function tableDataFooter(){
    }

  }//end class
?>